#
# spec file for package rubygem-cf-uaac
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           rubygem-cf-uaac
Version:        4.2.0
Release:        3.3.1
%define mod_name cf-uaac
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
URL:            https://github.com/cloudfoundry/cf-uaac
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Command line interface for CloudFoundry UAA
License:        Apache-2.0
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Client command line tools for interacting with the CloudFoundry User Account
and Authorization (UAA) server.  The UAA is an OAuth2 Authorization Server so
it can be used by webapps and command line apps to obtain access tokens to act
on behalf of users.  The tokens can then be used to access protected resources
in a Resource Server.  This library can be used by clients (as a convenient
wrapper for mainstream oauth gems) or by resource servers.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE README.md" \
  -f

%gem_packages

%changelog
* Wed Feb 26 2020 jmason@suse.com
- version 4.2.0
  + Initial build
